3.40. Remote Debugging
Prev | Chapter 3. Tasks | Next

## 3.40. Remote Debugging

You can remote debug an AUT by simply modifying or creating a AUT configuration. The following options must be added to your JRE Arguments:

    -Xdebug
    -Xnoagent
    -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=4711
    -Djava.compiler=NONE

- The ”suspend=y/n” option determines whether the JVM waits with the execution of the program until the debugger has connected itself or not.

- The ”address=<portNo>” determines the port the debugger has to connect to.

| Not all JREs support the arguments listed above. If you are not using a Java Standard Edition JRE to start your AUT, you will likely not be able to use this method to remotely debug your AUT.